profile
viewpoint

Ask questionsA cop that enforces `Gemfile` vs `gems.rb`

Is your feature request related to a problem? Please describe.

I'm kicking the tires on changing our Gemfile to gems.rb. However, we have many internal gems within our monorepo and it just occurred to me that it would be cool to have a configurable cop that enforces one or the other.

Describe the solution you'd like

A cop that checks to make sure you have a Gemfile or a gems.rb (and it counterpart lockfiles) depending on what you've configured. Maybe we default to the newer gems.rb?

rubocop/rubocop

Answer questions keshavbiswa

Is this still available? Looks like a good first issue for me to get my hands on 😄

useful!
source:https://uonfu.com/
answerer
Keshav Biswa keshavbiswa @saeloun Bangalore, India Just a simple programmer trying to find meaning in my codes.
Github User Rank List